# all files / ol/ constraints.js

100% Statements 8/8
100% Branches 0/0
100% Functions 1/1
100% Lines 8/8

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    361×

    1×
    1×
    1×

    1×

    134×

    134×

    134×

     goog.provide('ol.Constraints');

    goog.require('ol.CenterConstraintType');
    goog.require('ol.ResolutionConstraintType');
    goog.require('ol.RotationConstraintType');

    /**
     * @constructor
     * @param {ol.CenterConstraintType} centerConstraint Center constraint.
     * @param {ol.ResolutionConstraintType} resolutionConstraint
     *     Resolution constraint.
     * @param {ol.RotationConstraintType} rotationConstraint
     *     Rotation constraint.
     */
    ol.Constraints =
        function(centerConstraint, resolutionConstraint, rotationConstraint) {

      /**
       * @type {ol.CenterConstraintType}
       */
      this.center = centerConstraint;

      /**
       * @type {ol.ResolutionConstraintType}
       */
      this.resolution = resolutionConstraint;

      /**
       * @type {ol.RotationConstraintType}
       */
      this.rotation = rotationConstraint;

    };